Debian Bug report logs - #642801
Please support dpkg-source format 3.0 (git) in our archive.

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Charles Plessy <plessy@debian.org>

Date: Sun, 25 Sep 2011 06:15:02 UTC

Severity: wishlist

Tags: wontfix

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, plessy@debian.org, debian-devel@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#642801; Package ftp.debian.org. (Sun, 25 Sep 2011 06:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
New Bug report received and forwarded. Copy sent to plessy@debian.org, debian-devel@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sun, 25 Sep 2011 06:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ftp.debian.org: Please support dpkg-source format 3.0 (git) in our archive.
Date: Sun, 25 Sep 2011 15:14:00 +0900
Package: ftp.debian.org
Severity: wishlist

Dear FTP team,

There are now 4,921 source packages maintained in Git repositories
(http://upsilon.cc/~zack/stuff/vcs-usage/), and for some of them the
dpkg-source format 3.0 (git), for which support is available in Squeeze, would
be natural and convenient (not to mention innovative).

According to Russ Allbery's notes from the notes from the DebConf 2010 source
format BoF (http://lists.debian.org/87wrrxhlr7.fsf@windlord.stanford.edu), there
are worries that the Git history may contain non-free or unredistributable files.

I propose to discuss this in this bug report what would be the steps or the
policy to implement in order to have the format 3.0 (git) acceptable for our
archive.  For instance, we could decide that new packages enter Debian without
history, and limit the depth of the history to one or two release cycles.  We
could also decide to trust fully the packages native to Debian or developped by
Debian developers.  There are more suggestions in the notes that Russ has taken
(see above), as well as other concerns not related to the redistribution of
files from the Git history.

What is the current position of the FTP team ?

Have a nice Sunday,

-- 
Charles




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#642801; Package ftp.debian.org. (Mon, 16 Jan 2012 22:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Mon, 16 Jan 2012 22:54:03 GMT) Full text and rfc822 format available.

Message #10 received at 642801@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 642801@bugs.debian.org, 642801-submitter@bugs.debian.org
Subject: re: ftp.debian.org: Please support dpkg-source format 3.0 (git
Date: Mon, 16 Jan 2012 17:51:51 -0500
> According to Russ Allbery's notes from the notes from the DebConf 2010 source
> format BoF (http://lists.debian.org/87wrrxhlr7.fsf@windlord.stanford.edu), there
> are worries that the Git history may contain non-free or unredistributable files.

I think the first step would be to implement some kind of git history
rewritter that purges a user-specified set of files from the entire
history.  This of course involves all of the complexities of rewriting
git history.  Anyway, this discussion describes all of the
complexities involved in that:
http://schacon.github.com/git/user-manual.html#cleaning-up-history

The key statement is that "...published branches should never be
rewritten."  That would seem to put a nail in the coffin on this,
unless someone finds a way to resolve the problems.

Best wishes,
Mike




Message sent on to Charles Plessy <plessy@debian.org>:
Bug#642801. (Mon, 16 Jan 2012 22:54:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#642801; Package ftp.debian.org. (Mon, 16 Jan 2012 23:33:06 GMT) Full text and rfc822 format available.

Message #16 received at 642801@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: Michael Gilbert <michael.s.gilbert@gmail.com>
Cc: 642801@bugs.debian.org
Subject: Re: Bug#642801: ftp.debian.org: Please support dpkg-source format 3.0 (git
Date: Tue, 17 Jan 2012 00:29:27 +0100
Michael Gilbert <michael.s.gilbert@gmail.com> writes:
>> According to Russ Allbery's notes from the notes from the DebConf 2010 source
>> format BoF (http://lists.debian.org/87wrrxhlr7.fsf@windlord.stanford.edu), there
>> are worries that the Git history may contain non-free or unredistributable files.
>
> I think the first step would be to implement some kind of git history
> rewritter that purges a user-specified set of files from the entire
> history.  This of course involves all of the complexities of rewriting
> git history.  Anyway, this discussion describes all of the
> complexities involved in that:
> http://schacon.github.com/git/user-manual.html#cleaning-up-history

git-filter-branch does that.  However this does not solve the other,
larger issues (like having to reviewing all revisions).

Ansgar




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#642801; Package ftp.debian.org. (Tue, 17 Jan 2012 00:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Tue, 17 Jan 2012 00:00:07 GMT) Full text and rfc822 format available.

Message #21 received at 642801@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 642801@bugs.debian.org
Subject: Re: Bug#642801: ftp.debian.org: Please support dpkg-source format 3.0 (git
Date: Mon, 16 Jan 2012 18:56:43 -0500
On Mon, Jan 16, 2012 at 6:29 PM, Ansgar Burchardt wrote:
> git-filter-branch does that.  However this does not solve the other,
> larger issues (like having to reviewing all revisions).

I imagine that would be mostly solved already via the large number of
people reviewing packages for non-free material anyway, and continuing
treat such cases as RC.  Draw a line where ftp-master should review
the latest commit, and the rest can be left to bug finders.

Best wishes,
Mike




Added tag(s) wontfix. Request was from Ansgar Burchardt <ansgar@debian.org> to control@bugs.debian.org. (Thu, 23 Feb 2012 23:21:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#642801; Package ftp.debian.org. (Sat, 19 May 2012 03:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sat, 19 May 2012 03:45:06 GMT) Full text and rfc822 format available.

Message #28 received at 642801@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 642801@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#642801: ftp.debian.org: Please support dpkg-source format 3.0 (git) in our archive.
Date: Sat, 19 May 2012 12:41:59 +0900
Le Sat, May 19, 2012 at 11:56:07AM +0900, Charles Plessy a écrit :
> 
> In the case of the initial copryight review, which is if I understand well the
> strongest objection, wouldn't it be solved if the first upload to Debian would
> contain as few history as possible ?  Then the quantity of history in the
> source packages could be allowed to grow, for instance up to one or two
> previous stable releases.

Only after sending that email I remembered about #642801.  Sorry for the noise.

Dear FTP team,

is the "wontfix" tag only related to the problem of the copyright review or do
you think other issues are blocking ?

In case of the copyright review, would it be accepteable if the first upload of
a package in 3.0 (git) package would contain as little history as possible,
that is, either one revision, or multiple when they correspond to the equivalent
of Debian-specific patches ?

Have a nice week-end,

-- 
Charles Plessy
Debian Med packaging team,
http://www.debian.org/devel/debian-med
Tsurumi, Kanagawa, Japan




Changed Bug title to 'Please support dpkg-source format 3.0 (git) in our archive.' from 'ftp.debian.org: Please support dpkg-source format 3.0 (git) in our archive.' Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Tue, 26 Jun 2012 10:21:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:34:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.